Bug 198059 - no sound on kernel 2.1.17-1.2145 [snd-emu10k1]
no sound on kernel 2.1.17-1.2145 [snd-emu10k1]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-08 17:55 EDT by jurek jez
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-07 03:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jurek jez 2006-07-08 17:55:42 EDT
Description of problem: after update of kernel 2.6.17-1.2133 to 2.1.17-1.2145 I
haven't sound. I'm using 'snd-emu10k1' module and the sound card auto detection
fails [PCM section is empty]


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robin Humble 2006-07-13 21:14:12 EDT
I see this too. kernel-2.6.17-1.2145_FC5 on an x86_64.
no amount of fiddling with mixers repairs it...
kernel-2.6.16-1.2133_FC5 and before were all fine.

one (critical looking) difference in dmesg is that the 2145 kernel says:

 PCI: Quirk-MSI-K8T Soundcard On
 PCI: Unexpected Value in PCI-Register: no Change!
 PCI: enabled onboard AC97/MC97 devices

and the 2133 doesn't.
note that I'm not using or listening to the on-board AC97 audio - I'm using the
emu10k1 PCI audio card.

also my motherboard isn't a (Quirky) MSI-K8T, it's an ASUS K8V deluxe.

the sound card's lspci -v is:

00:0c.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
        Subsystem: Creative Labs SBLive! 5.1 eMicro 28028
        Flags: bus master, medium devsel, latency 64, IRQ 17
        I/O ports at a800 [size=32]
        Capabilities: [dc] Power Management version 1

and the un-detailed lspci for the rest of the machine is:

00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
00:08.0 RAID bus controller: Promise Technology, Inc. PDC20378 (FastTrak
378/SATA 378) (rev 02)
00:0a.0 Ethernet controller: 3Com Corporation 3c940 10/100/1000Base-T [Marvell]
(rev 12)
00:0c.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
00:0c.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 0a)
00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 81)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800/K8T890 South]
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200]
(rev a1)

nvidia driver loaded.

Comment 2 Robin Humble 2006-07-17 15:47:32 EDT
sound works again with 2.6.17-1.2157_FC5.

BTW, the quirk is still there in dmesg:
 PCI: Quirk-MSI-K8T Soundcard On
 PCI: Unexpected Value in PCI-Register: no Change!
 PCI: enabled onboard AC97/MC97 devices

you can close the bug as far as I'm concerned... thanks!
Comment 3 Dave Russell 2006-10-07 03:40:26 EDT
No further updates, and one user reports that it works for them. Marking as
closed ERRATA.

Note You need to log in before you can comment on or make changes to this bug.